Public Class PostulanteCapacitacionBusinessObject
    Inherits BusinessObject(Of PostulanteCapacitacion)

#Region "Contructores"
    Public Sub New()
        MyBase.New()
        DbHelper = New PostulanteCapacitacionDbHelper
    End Sub

    Public Sub New(ByVal entity As PostulanteCapacitacion)
        MyBase.New(entity)
        DbHelper = New PostulanteCapacitacionDbHelper
    End Sub

    Public Sub New(ByVal idPostulanteCapacitacion As Int32, Optional ByVal foreignLevel As Integer=0)
        Me.New()
        _Entity.idPostulanteCapacitacion = idPostulanteCapacitacion
        Dim Entity_Aux As PostulanteCapacitacion = DbHelper.SelectEntity(_Entity,foreignLevel)
        If Not Entity_Aux Is Nothing Then
            _IsNew = False
            _Entity = Entity_Aux
        End If
    End Sub
#End Region

#Region "Metodos Estaticos"
    Protected Shared _Instance As PostulanteCapacitacionBusinessObject
    Protected Shared Function GetDdHelperInstance() As PostulanteCapacitacionDbHelper
        If _Instance Is Nothing Then
            _Instance = New PostulanteCapacitacionBusinessObject
        End If
    Return CType(_Instance.DbHelper, PostulanteCapacitacionDbHelper)
    End Function

    Public Shared Function GetListPostulanteCapacitacion(Optional ByVal foreignLevel As Integer=0) As EntityList(Of PostulanteCapacitacion)
        Return GetDdHelperInstance.SelectList(foreignLevel)
    End Function

    Public Shared Function GetListPostulanteCapacitacionByConcursoPostulante(ByVal idConcursoPostulante as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of PostulanteCapacitacion)
        Return GetDdHelperInstance.GetListPostulanteCapacitacionByConcursoPostulante(idConcursoPostulante, foreignLevel)
    End Function

#End Region
End Class
